#Query Order Result
#Request Path
[POST] /api/v2/bill-payment/order/query#Parameter List
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| sceneCode | String | - | Yes | Business scenario code【see detailed scenario codes】 |
| outOrderNo | String | 64 | Yes | Merchant order number |
| orderNo | String | 64 | Yes | PalmPay platform order number (the merchant order number and the platform order number cannot be empty at the same time) |
#Return Values
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| outOrderNo | String | 64 | Yes | Merchant order number |
| orderNo | String | 32 | Yes | PalmPay platform order number |
| billerId | String | 32 | Yes | Operator ID |
| itemId | String | 32 | Yes | Package ID |
| orderStatus | Integer | 2 | Yes | Order status (see detailed order status) |
| amount | Long | - | Yes | Total order amount (unit: cents) |
| sceneCode | String | - | Yes | Business scenario code |
| currencySymbol | String | 5 | Yes | Currency symbol |
| currency | String | 5 | Yes | Currency type |
| payerEmail | String | 50 | Yes | Payer's email address |
| payerMobileNo | String | 50 | Yes | Associated system member's mobile number |
| payerAccountId | String | 50 | Yes | Payer's account ID |
| payerAccountType | Integer | 50 | Yes | Payer's account type |
| payTime | Long | - | Yes | Payment time |
| completedTime | Long | - | Yes | Order completion time |
| merchantNo | String | 32 | Yes | Merchant number |
| errorMsg | String | 32 | Yes | Return message |
#Error Codes
Please refer to the document.
#Postman Request Example
#request
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/bill-payment/order/query' \
--header 'Accept: application/json, text/plain, */*' \
--header 'CountryCode: NG' \
--header 'Authorization: Bearer 10241024' \
--header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
--header 'Content-Type: application/json' \
--data '{
"requestTime":1662171389940,
"version":"V1.1",
"nonceStr":"IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
"orderNo":"y521ug58000",
}'#response
{
"respCode": "00000000",
"respMsg": "success",
"data": {
"orderNo": "y521ug58000",
"outOrderNo": "tC27wjQmRnbapFAwynhatCxWkXwN7rpG",
"billerId": "MTN",
"itemId": "s105113874659400",
"orderStatus": 1,
"amount": null,
"currencySymbol": "₦",
"currency": "NGN",
"payerEmail": "caojiangling07@foxmail.com",
"payerMobileNo": null,
"payerAccountId": "fb567314d91e455c97119ee06bb",
"payerAccountType": 4,
"payTime": 1713927263000,
"completedTime": 1713927280000,
"merchantNo": "12311240914311",
"errorMsg": null,
"notifyUrl": "https://xxx/notify"
}
}#Common Error Codes
#Business Error Codes
| Error Code | Error Description | Solution |
|---|---|---|
| SBP.INVALID_PARAMETER | Invalid parameter | Check the request parameters and resend after making corrections |
| SBP.INVALID_SCENE_CODE | Invalid scenario code | Check the scenario code and resend after making corrections |
| SBP.TRADE_NOT_EXIST | Order does not exist | Check the order number provided and resend after making corrections |